classification
Title: no document for sqlite3.Cursor.connection
Type: enhancement Stage: resolved
Components: Documentation, Extension Modules Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Varpu Rantala, docs@python, ezio.melotti, ghaering, palaviv, python-dev, qinghao
Priority: normal Keywords: patch

Created on 2016-01-31 17:51 by qinghao, last changed 2016-03-18 18:14 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite3-cursor-connection-doc.patch palaviv, 2016-02-06 20:32 review
issue26250.diff Varpu Rantala, 2016-03-12 12:42
Messages (5)
msg259292 - (view) Author: qinghao (qinghao) Date: 2016-01-31 17:51
it does have the Cursor.connection member in the pydoc result.
$ pydoc sqlite3.Cursor.connection
Help on member descriptor sqlite3.Cursor.connection in sqlite3.Cursor:

sqlite3.Cursor.connection
lines 1-3/3 (END)

but there is no document about sqlite3.Cursor.connection at here.
https://docs.python.org/2/library/sqlite3.html#sqlite3.Cursor

and so to version 3
https://docs.python.org/3/library/sqlite3.html#sqlite3.Cursor
msg259751 - (view) Author: Aviv Palivoda (palaviv) * Date: 2016-02-06 20:32
Added patch with my suggestion for sqlite3.Cursor.connection attribute documentation
msg261646 - (view) Author: Varpu Rantala (Varpu Rantala) * Date: 2016-03-12 12:42
The sentencing was complicated. I changed the formulation and added an example of connection.
msg261981 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-18 18:13
New changeset 52660878c833 by Ezio Melotti in branch '3.5':
#26250: document the sqlite3.Cursor.connection attribute.  Initial patches by Aviv Palivoda and Varpu Rantala.
https://hg.python.org/cpython/rev/52660878c833

New changeset 6fed752fd88e by Ezio Melotti in branch 'default':
#26250: merge with 3.5.
https://hg.python.org/cpython/rev/6fed752fd88e

New changeset 6dcf60bf855b by Ezio Melotti in branch '2.7':
#26250: document the sqlite3.Cursor.connection attribute.  Initial patches by Aviv Palivoda and Varpu Rantala.
https://hg.python.org/cpython/rev/6dcf60bf855b
msg261982 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-03-18 18:14
Fixed, thanks for the report and the patches!
History
Date User Action Args
2016-03-18 18:14:13ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg261982

stage: patch review -> resolved
2016-03-18 18:13:30python-devsetnosy: + python-dev
messages: + msg261981
2016-03-13 09:58:06ezio.melottisetassignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
stage: patch review
2016-03-12 12:42:31Varpu Rantalasetfiles: + issue26250.diff
nosy: + Varpu Rantala
messages: + msg261646

2016-02-06 20:32:35palavivsetfiles: + sqlite3-cursor-connection-doc.patch

assignee: docs@python
components: + Documentation, Extension Modules, - Library (Lib)
versions: + Python 3.5, Python 3.6
keywords: + patch
nosy: + ghaering, docs@python, palaviv

messages: + msg259751
2016-01-31 17:51:52qinghaocreate